apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: gateway-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: gateway-dashboard.pda1.test.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: apisix-dashboard
                port:
                  number: 80
  tls:
    - hosts:
      - gateway-dashboard.pda1.test.esspass-poc.eu
      secretName: gateway-dashboard-test-esspass-poc-cert
